import request, { postBlob, handleImport, getBlob } from '@/utils/request'
export function getMerchantLoginQuotaLimitList(params) {
  return request({
    url: `/config/merchantLoginQuotaLimit/list?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}
export function exportMerchantLoginQuotaLimit(data, name) {
  return postBlob({
    url: '/config/merchantLoginQuotaLimit/export',
    data,
    name
  })
}

export function editMerchantLoginQuotaLimit(params) {
  return request({
    url: `/config/merchantLoginQuotaLimit/edit`,
    method: 'post',
    data: params
  })
}

export function addMerchantLoginQuotaLimit(params) {
  return request({
    url: `/config/merchantLoginQuotaLimit/add`,
    method: 'post',
    data: params
  })
}

export function getMerchantLoginQuotaLimitDetail(params) {
  return request({
    url: `/config/merchantLoginQuotaLimit/detail`,
    method: 'post',
    params
  })
}

export function delMerchantLoginQuotaLimit(params) {
  return request({
    url: `/config/merchantLoginQuotaLimit/del`,
    method: 'post',
    data: params
  })
}
